{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalString (lib.elem "nvim::lsp::yaml" config.machine.pkgs) # lua
  ''
    lspconfig.yamlls.setup({
      cmd = { "${pkgs.yaml-language-server}/bin/yaml-language-server", "--stdio" },
      settings = {
        yaml = {
          schemaStore = {
            -- Disable to use Store from SchemaStore-nvim plugin
            enable = false,
            -- Avoid TypeError: Cannot read properties of undefined (reading 'length')
            url = "",
          },
          schemas = require('schemastore').yaml.schemas(),
        },
      },
    })
  ''
