{
  lib,
  config,
  ...
}:

lib.mkIf (lib.elem "nvim::orgmode" config.machine.pkgs) {
  programs.nvim-lazy.lazyPlugins = [
    {
      lazy = true;
      dir = vPlug: vPlug.orgmode;
      event = [ "VeryLazy" ];
      ft = [ "org" ];
      dependencies = (
        vPlug: with vPlug; [
          vim-table-mode
          "akinsho/org-bullets.nvim"
        ]
      );
      opts = {
        org_hide_leading_stars = true;
        org_log_done = true;
        org_startup_folded = "showeverything";
        org_startup_indented = true;
        org_adapt_indentation = false;
        org_agenda_files = "~/org/**/*";
        org_default_notes_file = "~/org/refile.org";
      };
    }
    {
      lazy = true;
      short = "akinsho/org-bullets.nvim";
      opts = { };
    }
    {
      lazy = true;
      dir = vPlug: vPlug.vim-table-mode;
    }
  ];
}
